extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "tgheroes:shocker/shocker_layer1",
    "layer2": "tgheroes:shocker/shocker_layer2"
});

var utils = implement("fiskheroes:external/utils");


function initEffects(renderer) {
    utils.bindBeam(renderer, "fiskheroes:charged_beam", "tgheroes:shout_effect","body", 0xe7dc12, [
        { "firstPerson": [-4.5, 3.75, -8.0], "offset": [-0.5, 9.0, 0.0], "size": [0.6, 0.6],"anchor": "rightArm" },
        { "firstPerson": [4.5, 3.75, -8.0], "offset": [0.5, 9.0, 0.0], "size": [0.6, 0.6], "anchor": "leftArm" }

    ]);
}
function initAnimations(renderer) {
    parent.initAnimations(renderer);
    renderer.removeCustomAnimation("basic.CHARGED_BEAM");
    
	addAnimationWithData(renderer, "basic.AIMING", "fiskheroes:dual_aiming", "fiskheroes:beam_charge");
}
